org.eclipse.graphiti.tb

## Interface IContextEntry

All Known Subinterfaces:
  IContextButtonEntry, IContextMenuEntry

All Known Implementing Classes:
  AbstractContextEntry, ContextButtonEntry, ContextMenuEntry, DynamicContextMenuEntry

    public interface IContextEntry

The Interface IContextEntry.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canExecute()` Can execute.
`void` `execute()` Execute.
`IContext` `getContext()` Gets the context.
`String` `getDescription()` Gets the description.
`IFeature` `getFeature()` Gets the feature.
`String` `getIconId()` Gets the icon id.
`String` `getText()` Gets the text.
`void` `setDescription(String text)` Sets the description.
`void` `setIconId(String iconId)` Sets the icon id.
`void` `setText(String text)` Sets the text.

### Method Detail

#### canExecute

    boolean canExecute()

Can execute.

Returns:
  true, if successful

#### execute

    void execute()

Execute.

#### getContext

    IContext getContext()

Gets the context.

Returns:
  the context

#### getFeature

    IFeature getFeature()

Gets the feature.

Returns:
  the feature

#### getIconId

    String getIconId()

Gets the icon id.

Returns:
  the icon id

#### setDescription

    void setDescription(String text)

Sets the description.

Parameters:
  `text` - the new description

#### getDescription

    String getDescription()

Gets the description.

Returns:
  the description

#### setText

    void setText(String text)

Sets the text.

Parameters:
  `text` - the new text

#### getText

    String getText()

Gets the text.

Returns:
  the text

#### setIconId

    void setIconId(String iconId)

Sets the icon id.

Parameters:
  `iconId` - the new icon id